/*
 * Copyright 2006 Takahiro Nakamura.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package woolpack.text;

import java.text.Format;
import java.text.ParseException;

import junit.framework.TestCase;

public class ToStringFormatTest extends TestCase {

	public void testFormat(){
		final Format f = new ToStringFormat();
		assertEquals("value0", f.format("value0"));
		assertEquals("1", f.format(new Integer(1)));
	}
	
	public void testParse() throws ParseException{
		final Format f = new ToStringFormat();
		assertEquals("key0", f.parseObject("key0"));
	}
	
	public void testToString(){
		final Format format0 = new ToStringFormat();
		assertEquals("new ToStringFormat()", format0.toString());
	}
}
